﻿using System;
using System.Data;
using System.Data.SqlClient;

using NorthwindCacheDemo.DTO;

namespace NorthwindCacheDemo.DAL.SqlClient
{
    /// <summary>
    /// Provides data access to the Northwind order subject area.
    /// The methods in this class use System.Data.SqlClient to 
    /// create records in the Orders and Order Details tables.
    /// Typically, the caller wraps calls to these methods in
    /// a TransactionScope.
    /// </summary>
    public class SqlOrderProvider : SqlProvider, IOrderProvider
    {
        public SqlOrderProvider() { }

        public int InsertOrder(Order order)
        {
            string commandText = 
                String.Format(
                @"INSERT INTO [Northwind].[dbo].[Orders] 
                (OrderDate, ShipName, ShipAddress, ShipCity, ShipRegion, ShipPostalCode, ShipCountry) 
                VALUES ('{0}', '{1}', '{2}', '{3}', '{4}', '{5}', '{6}')
                SELECT @@IDENTITY", 
                order.OrderDate, order.ShipName, order.ShipAddress, order.ShipCity, order.ShipRegion,
                order.ShipPostalCode, order.ShipCountry);

            int orderID = 0;
            using (SqlConnection conn = new SqlConnection(this.ConnectionString))
            {
                SqlCommand cmd = new SqlCommand(commandText, conn);
                cmd.CommandType = CommandType.Text;
                conn.Open();

                orderID = Convert.ToInt32(cmd.ExecuteScalar());
            }

            return orderID;
        }

        public void InsertOrderItem(OrderItem orderItem)
        {
            string commandText =
                String.Format(
                    @"INSERT INTO [Northwind].[dbo].[Order Details] 
                    (OrderID, ProductID, UnitPrice, Quantity) 
                    VALUES ({0}, {1}, {2}, {3})",
                    orderItem.OrderID, orderItem.ProductID, 
                    orderItem.UnitPrice, orderItem.Quantity);

            using (SqlConnection conn = new SqlConnection(this.ConnectionString))
            {
                SqlCommand cmd = new SqlCommand(commandText, conn);
                cmd.CommandType = CommandType.Text;
                conn.Open();

                cmd.ExecuteNonQuery();
            }
        }
    }
}
