﻿using System;
using System.Collections.Specialized;
using System.Configuration;

namespace NorthwindCacheDemo.DAL
{
    public static class DataLayer
    {
        private static ICatalogProvider _catalogProvider;

        private static IOrderProvider _orderProvider;

        static DataLayer()
        {
            NameValueCollection config = (NameValueCollection)ConfigurationManager.GetSection("northwindCacheDemo");

            Type t = Type.GetType(config["CatalogProvider"]);
            _catalogProvider = (ICatalogProvider)Activator.CreateInstance(t);

            t = Type.GetType(config["OrderProvider"]);
            _orderProvider = (IOrderProvider)Activator.CreateInstance(t);
        }

        public static ICatalogProvider CatalogProvider
        {
            get
            {
                return _catalogProvider;
            }
        }

        public static IOrderProvider OrderProvider
        {
            get
            {
                return _orderProvider;
            }
        }
    }
}
