﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="Purchase.aspx.cs" Inherits="Purchase" %>

<asp:Content ID="MainContent" ContentPlaceHolderID="MainContentPlaceHolder" Runat="Server">
    <h1>Purchase</h1>
    
    <asp:ValidationSummary ID="PurchaseValidationSummary" ForeColor="#CC0000" runat="server" />            
    
    <div id="purchase_form">
        <div id="address">
            <h3>Address</h3>
    
            <div class="form_row">
                <div class="field_label">Name:</div>
                <div class="field">
                    <asp:TextBox ID="NameTextBox" runat="server" />
                    <asp:RequiredFieldValidator ID="NameRequiredFieldValidator" runat="server" ControlToValidate="NameTextBox" ErrorMessage="Name is required" Display="None" />
                </div>
            </div>
            
            <div class="form_row">
                <div class="field_label">Address:</div>
                <div class="field">
                    <asp:TextBox ID="AddressTextBox" runat="server" />
                    <asp:RequiredFieldValidator ID="AddressRequiredFieldValidator" runat="server" ControlToValidate="AddressTextBox" ErrorMessage="Address is required" Display="None" />
                </div>
            </div>
            
            <div class="form_row">
                <div class="field_label">City:</div>
                <div class="field">
                    <asp:TextBox ID="CityTextBox" runat="server" />
                    <asp:RequiredFieldValidator ID="CityRequiredFieldValidator" runat="server" ControlToValidate="CityTextBox" ErrorMessage="City is required" Display="None" />
                </div>
            </div>
            
            <div class="form_row">
                <div class="field_label">Region:</div>
                <div class="field">
                    <asp:TextBox ID="RegionTextBox" runat="server" />
                    <asp:RequiredFieldValidator ID="RegionRequiredFieldValidator" runat="server" ControlToValidate="RegionTextBox" ErrorMessage="Region is required" Display="None" />
                </div>
            </div>
            
            <div class="form_row">
                <div class="field_label">Postal Code:</div>
                <div class="field">
                    <asp:TextBox ID="PostalCodeTextBox" runat="server" />
                    <asp:RequiredFieldValidator ID="PostalCodeRequiredFieldValidator" runat="server" ControlToValidate="PostalCodeTextBox" ErrorMessage="Postal Code is required" Display="None" />
                </div>
            </div>
            
            <div class="form_row">
                <div class="field_label">Country:</div>
                <div class="field">
                    <asp:TextBox ID="CountryTextBox" runat="server" />
                    <asp:RequiredFieldValidator ID="CountryRequiredFieldValidator" runat="server" ControlToValidate="CountryTextBox" ErrorMessage="Country is required" Display="None" />
                </div>
            </div>
        </div>
        
        <div id="payment">
            <h3>Payment Information</h3>
            
            <div class="form_row">
                <div class="field_label">Cardholder Name:</div>
                <div class="field"><asp:TextBox ID="PaymentNameTextBox" runat="server" /></div>
            </div>

            <div class="form_row">
                <div class="field_label">Card Number:</div>
                <div class="field"><asp:TextBox ID="CardNumberTextBox" runat="server" /></div>
            </div>
            
            <div class="form_row">
                <div class="field_label">Expiration Date:</div>
                <div class="field">
                    <asp:DropDownList ID="MonthDropDownList" runat="server">
                        <asp:ListItem Text="Month" Selected="True" />
                        <asp:ListItem Value="01" Text="01" />
                        <asp:ListItem Value="02" Text="02" />
                        <asp:ListItem Value="03" Text="03" />
                        <asp:ListItem Value="04" Text="04" />
                        <asp:ListItem Value="05" Text="05" />
                        <asp:ListItem Value="06" Text="06" />
                        <asp:ListItem Value="07" Text="07" />
                        <asp:ListItem Value="08" Text="08" />
                        <asp:ListItem Value="09" Text="09" />
                        <asp:ListItem Value="10" Text="10" />
                        <asp:ListItem Value="11" Text="11" />
                        <asp:ListItem Value="12" Text="12" />
                    </asp:DropDownList>
                    <asp:DropDownList ID="YearDropDownList" runat="server">
                        <asp:ListItem Text="Year" Selected="True" />
                        <asp:ListItem Value="2008" Text="2008" />
                        <asp:ListItem Value="2009" Text="2009" />
                        <asp:ListItem Value="2010" Text="2010" />
                        <asp:ListItem Value="2011" Text="2011" />
                        <asp:ListItem Value="2012" Text="2012" />
                        <asp:ListItem Value="2012" Text="2013" />
                        <asp:ListItem Value="2012" Text="2014" />
                        <asp:ListItem Value="2012" Text="2015" />
                        <asp:ListItem Value="2012" Text="2016" />
                        <asp:ListItem Value="2012" Text="2017" />
                        <asp:ListItem Value="2012" Text="2018" />
                    </asp:DropDownList>
                </div>
            </div>
        </div>
    </div>

    <div id="purchase_items">
        <h3>Order Items</h3>
    
        <asp:GridView ID="CartGridView" runat="server"
            AutoGenerateColumns="false"
            AllowPaging="false"
            AllowSorting="false" 
            Width="100%"
            HeaderStyle-BackColor="#647a90"
            HeaderStyle-ForeColor="#FFFFFF"
            HeaderStyle-HorizontalAlign="Left"
            CellPadding="4"
            CellSpacing="0"
            BorderColor="#f2f2f5"
            BorderStyle="Solid"
            BorderWidth="1px"
            AlternatingRowStyle-BackColor="#F8F8F8" 
            onrowdatabound="CartGridView_RowDataBound">
            <Columns>
                <asp:TemplateField HeaderText="Name">
                    <ItemTemplate>
                        <asp:Label ID="NameLabel" runat="server" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Quantity" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center">
                    <ItemTemplate>
                        <asp:Label ID="QuantityLabel" Width="50px" runat="server" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Unit Price" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center">
                    <ItemTemplate>
                        <asp:Label ID="UnitPriceLabel" runat="server" />
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>    
    </div>
    
    <div style="float:right;text-align:right;">
        <br />
        <p>Total: <asp:Label ID="TotalLabel" runat="server" /></p>
        
        <asp:Button ID="CheckoutButton" runat="server" Text="Checkout" 
            onclick="CheckoutButton_Click" />
    </div>
</asp:Content>

<asp:Content ID="SideContent" ContentPlaceHolderID="SideContentPlaceHolder" Runat="Server">
</asp:Content>

