﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using NorthwindCacheDemo.DTO;
using NorthwindCacheDemo.BLL;

public partial class Purchase : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ShoppingCart cart = (ShoppingCart)Session["ShoppingCart"];
            CartGridView.DataSource = cart;
            CartGridView.DataBind();

            TotalLabel.Text = String.Format("{0:c}", cart.Total);
        }
    }

    protected void CartGridView_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType != DataControlRowType.DataRow)
        {
            return;
        }

        ShoppingCartItem cartItem = (ShoppingCartItem)e.Row.DataItem;
        Product p = ServiceLayer.CatalogService.GetProduct(cartItem.ProductID);

        Label nameLabel = (Label)e.Row.FindControl("NameLabel");
        Label unitPriceLabel = (Label)e.Row.FindControl("UnitPriceLabel");
        Label quantityLabel = (Label)e.Row.FindControl("QuantityLabel");

        nameLabel.Text = p.Name;
        unitPriceLabel.Text = String.Format("{0:c}", cartItem.UnitPrice);
        quantityLabel.Text = cartItem.Quantity.ToString();
    }

    protected void CheckoutButton_Click(object sender, EventArgs e)
    {
        ShoppingCart cart = (ShoppingCart)Session["ShoppingCart"];

        ServiceLayer.OrderService.ProcessOrder(cart,
            NameTextBox.Text, AddressTextBox.Text, CityTextBox.Text,
            RegionTextBox.Text, PostalCodeTextBox.Text, CountryTextBox.Text);

        Session["ShoppingCart"] = null;

        Response.Redirect("~/Congrats.aspx");
    }
}
