﻿using System;
using System.Collections.Generic;
using System.Data.Caching;

using NorthwindCacheDemo.DTO;

namespace VelocityClientConsole
{
    class CatalogTagSample
    {
        static void Main(string[] args)
        {
            // Create the catalog cache object
            CacheFactory factory = new CacheFactory();
            Cache catalogCache = factory.GetCache("catalog");

            // Create a category region with eviction disabled
            catalogCache.CreateRegion("BeveragesRegion", false);
            catalogCache.CreateRegion("ProduceRegion", false);

            Tag topSeller = new Tag("TopSeller");

            // Build catalog
            catalogCache.Put("Category-1", new Category() { Name = "Beverages" });
            catalogCache.Put("Category-7", new Category() { Name = "Produce" });
            catalogCache.Put("BeveragesRegion", "Product-1", new Product() { Name = "Chai" });
            catalogCache.Put("BeveragesRegion", "Product-43", new Product() { Name = "Coffee" }, new Tag[] { topSeller });
            catalogCache.Put("ProduceRegion", "Product-7", new Product() { Name = "Pears" });
            catalogCache.Put("ProduceRegion", "Product-51", new Product() { Name = "Apples" });
            
            IList<KeyValuePair<string, object>> products = catalogCache.GetByTag("BeveragesRegion", topSeller);

            Product p = null;
            foreach (KeyValuePair<string, object> kvp in products)
            {
                p = (Product)kvp.Value;
                Console.WriteLine(p.Name);
            }

            catalogCache.Remove("Category-1");
            catalogCache.Remove("Category-7");
            catalogCache.RemoveRegion("BeveragesRegion");
            catalogCache.RemoveRegion("ProduceRegion");

            Console.ReadLine();
        }
    }
}
