﻿using System;
using System.Data.Caching;

using NorthwindCacheDemo.DTO;

namespace VelocityClientConsole
{
    class SessionSample
    {
        static void Main(string[] args)
        {
            // Create catalog cache object
            CacheFactory factory = new CacheFactory();
            Cache sessionCache = factory.GetCache("session");

            Product chai = new Product() { ProductID = 1, Name = "Chai", UnitPrice = 18.00m };
            Product coffee = new Product() { ProductID = 43, Name = "Coffee", UnitPrice = 46.00m };
            Product pears = new Product() { ProductID = 7, Name = "Pears", UnitPrice = 30.00m };
            Product apples = new Product() { ProductID = 51, Name = "Apples", UnitPrice = 53.00m };

            // Create cart 1 with chai and apples
            ShoppingCart cart1 = new ShoppingCart();
            cart1[chai.ProductID] = new ShoppingCartItem() 
            { 
                ProductID = chai.ProductID, 
                UnitPrice = chai.UnitPrice, 
                Quantity = 1
            };

            cart1[apples.ProductID] = new ShoppingCartItem() 
            { 
                ProductID = apples.ProductID, 
                UnitPrice = apples.UnitPrice,
                Quantity = 2
            };

            // Create cart 2 with pears and coffee
            ShoppingCart cart2 = new ShoppingCart();
            cart2[pears.ProductID] = new ShoppingCartItem()
            {
                ProductID = pears.ProductID,
                UnitPrice = pears.UnitPrice,
                Quantity = 4
            };

            cart2[coffee.ProductID] = new ShoppingCartItem()
            {
                ProductID = coffee.ProductID,
                UnitPrice = coffee.UnitPrice,
                Quantity = 3
            };

            // Add carts to cache
            sessionCache.Put("ShoppingCart-1", cart1);
            sessionCache.Put("ShoppingCart-2", cart2);

            // Get cart 1 from the cache
            cart1 = (ShoppingCart)sessionCache.Get("ShoppingCart-1");

            // Iterate through cart items
            foreach (ShoppingCartItem item in cart1)
            {
                Console.WriteLine("ProductID: {0}, Unit Price {1}, Quantity: {2}", 
                    item.ProductID, item.UnitPrice, item.Quantity);
            }

            Console.WriteLine("Cart Total: {0}", cart1.Total);

            sessionCache.Remove("ShoppingCart-1");
            sessionCache.Remove("ShoppingCart-2");
            
            Console.ReadLine();
        }
    }
}
